#include <bits/stdc++.h>

using namespace std;

int prviVeciJednak(vector<int>& a, int& x)
{
    int l=1, d=a.size()-1;
    while(l<=d){
        int s = l+(d-l)/2;
        if(a[s] < x)
            l = s+1;
        else
            d = s-1;
    }
    return l;
}

int prviVeci(vector<int>& a, int& x)
{
    int l=1, d=a.size()-1;
    while(l<=d){
        int s = l+(d-l)/2;
        if(a[s] <= x)
            l = s+1;
        else
            d = s-1;
    }
    return l;
}

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0);

    int n,q;
    cin >> n >> q;
    vector<int> a(n+1);
    for(int i=1; i<=n; i++)
        cin >> a[i];

    sort(a.begin(),a.end());
    while(q--){
        int x;
        cin >> x;
        int veci = prviVeci(a,x);
        int veciJednak = prviVeciJednak(a,x);
        bool postoji = (veci != veciJednak);
        int rez, sredina = n/2+1;
        if(!postoji){
            if(veciJednak == n+1)
                rez = n;
            else if(sredina >= veci)
                rez = 1 + n-veci+1 - (veci-1);
            else{
                rez = veci-1 - (n-veci+1);
            }
        }
        else if(sredina >= veciJednak && sredina < veci)
            rez = 0;
        else{  
            if(veciJednak < sredina)
                veciJednak = veci-1;
            if(sredina > veciJednak)
                rez = n-veciJednak-(veciJednak-1);
            else{
                rez = veciJednak-1 - (n-veciJednak)-1;
            }
        }       
        cout << rez << '\n';
    }
}